> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# الحصول على نتيجة checkout

> يرجع حمولة خفيفا لنتيجة checkout لصفحات النجاح أو الإلغاء في الموقع.

<script src="/locale-bridge.js" />


## OpenAPI

````yaml /openapi.ar.json GET /v1/public/accounts/{account_id}/billing/checkout/result
openapi: 3.1.0
info:
  title: Code API (Public)
  version: 1.0.0
servers:
  - url: https://api.hybridbox.io
security: []
paths:
  /v1/public/accounts/{account_id}/billing/checkout/result:
    get:
      tags:
        - public-accounts
      summary: الحصول على نتيجة checkout
      description: يرجع حمولة خفيفا لنتيجة checkout لصفحات النجاح أو الإلغاء في الموقع.
      operationId: >-
        get_checkout_result_v1_public_accounts__account_id__billing_checkout_result_get
      parameters:
        - in: path
          name: account_id
          required: true
          schema:
            format: uuid
            title: Account Id
            type: string
        - in: query
          name: plan_key
          required: true
          schema:
            title: Plan Key
            type: string
        - in: query
          name: checkout_token
          required: true
          schema:
            title: Checkout Token
            type: string
        - in: query
          name: hosted_page_id
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Hosted Page Id
        - in: query
          name: status_hint
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Status Hint
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CheckoutResultResponse'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: خطأ في التحقق
components:
  schemas:
    CheckoutResultResponse:
      properties:
        account:
          $ref: '#/components/schemas/AccountSummaryResponse'
          description: ملخص حساب الخروج
        auth_required_for_dashboard:
          anyOf:
            - type: boolean
            - type: 'null'
          description: ما إذا كان الوصول إلى لوحة المعلومات يتطلب المصادقة
          title: يلزم المصادقة للوحة التحكم
        checkout_token:
          description: رمز استمرار الخروج
          title: رمز checkout
          type: string
        dashboard_url:
          anyOf:
            - type: string
            - type: 'null'
          description: عنوان URL للوحة التحكم الخاصة بالحساب
          title: رابط لوحة التحكم
        message:
          description: رسالة نتيجة الخروج
          title: الرسالة
          type: string
        plan_key:
          description: مفتاح خطة الفوترة المحددة
          enum:
            - smtp_per_mailbox
            - smtp_per_proxy
          title: مفتاح الخطة
          type: string
        status:
          description: حالة نتيجة الخروج
          title: الحالة
          type: string
      required:
        - plan_key
        - status
        - message
        - account
        - checkout_token
      title: CheckoutResultResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: التفاصيل
          type: array
      title: HTTPخطأ تحقق
      type: object
    AccountSummaryResponse:
      description: ملخص حساب آمن يرجع إلى الموقع.
      properties:
        account_id:
          description: UUID الحساب
          title: معرف الحساب
          type: string
        chargebee_subscription_status:
          anyOf:
            - type: string
            - type: 'null'
          description: حالة الاشتراك Chargebee
          title: حالة اشتراك Chargebee
        currency:
          description: رمز عملة الفواتير
          title: العملة
          type: string
      required:
        - account_id
        - currency
      title: AccountSummaryResponse
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: الموقع
          type: array
        msg:
          title: الرسالة
          type: string
        type:
          title: نوع الخطأ
          type: string
      required:
        - loc
        - msg
        - type
      title: خطأ تحقق
      type: object

````